WD(4)

NAME
wd - WD100x compatible hard disk driver

SYNOPSIS
wd* at wdc? channel ? drive ? flags 0x0000
wd* at pciide? channel ? drive ? flags 0x0000

DESCRIPTION
The wd driver supports hard disk which emulate the Western Digital WD100x. This includes standard MFM, RLL, ESDI, IDE and EIDE drives.

The flags are used only with controllers with mode settings support (like some PCIIDE controllers). The first 4 bytes of the flags define the PIO mode to use, the second DMA mode and the third UltraDMA mode. For each group of 4 bytes, the 3 lower define the mode to use, and the last one must be 1 for the setting to be used. For DMA and UDMA, 0xf means 'disable'. For example, 0x0fac means 'use PIO mode 4 DMA mode 2, disable UltraDMA'. 0x0000 means "use whatever the drive claims to support.

SEE ALSO
intro(4) wdc(4) pciide(4) scsi(4)